{#
 # This file is part of the DATAtourisme project.
 # @author Conjecto <contact@conjecto.com>
 # 2022
 # SPDX-License-Identifier: GPL-3.0-or-later
 # For the full copyright and license information, please view the LICENSE file that was distributed with this source code.
 #}

{% extends "email/_layout.html.twig" %}
{% trans_default_domain 'emails' %}

{% block body %}
    <h4 style="font-weight:300;font-size:18px;margin:5px 0;text-align:center">
        Rapport du module Qualité de DATAtourisme
    </h4>

    <div style="font-weight:600;font-size:14px;margin:5px 0;text-align:center">
        <span>Rapport {{ period|trans }} sur les anomalies</span>
    </div>

    <h4 style="font-weight:300;font-size:14px;margin:15px 0;text-align:left;color:#3d3d3d;">
        Evolutions des anomalies entre le {{ (date(report[horizon]['date']) | moment).format("d/m/Y") }} et le {{ "now"|date("d/m/Y") }}
    </h4>

    <table style="font-weight:300;margin:20px 0;width:100%;border-collapse:collapse;table-layout:fixed">
        <thead>
            <tr>
                <th style="font-weight:500;text-align:left;font-size:14px;padding-top:8px;padding-bottom:8px;text-transform:uppercase;color:#757575;width:2em;padding-right:0.5em">
                    Type d'anomalie
                </th>
                <th style="font-weight:500;text-align:right;font-size:14px;padding-top:8px;padding-bottom:8px;text-transform:uppercase;color:#757575;width:2em;padding-right:0.5em">
                    Nombre de POI
                </th>
                <th style="font-weight:500;text-align:right;font-size:14px;padding-top:8px;padding-bottom:8px;text-transform:uppercase;color:#757575;width:2em;padding-right:0.5em">
                    Evolution
                </th>
            </tr>
        </thead>
        <tbody>
            {% for anomalyType, anomalyLabel in types %}
                <tr style="font-weight:300;border-bottom:1px solid #b7a2a5">
                    <td style="vertical-align:bottom;font-weight:300;text-align:left;font-size:14px;margin:0;padding:8px 0">
                        {{ anomalyLabel }}
                    </td>
                    <td style="vertical-align:bottom;font-weight:300;text-align:right;font-size:14px;margin:0;padding:8px 0">
                        {% if report['today'][anomalyType] is defined %}
                            {{ report['today'][anomalyType]['count'] | number_format(0, ',', ' ')}}
                        {% else %}-
                        {% endif %}
                    </td>
                    {% set color = 'black' %}
                    {% if report[horizon][anomalyType] is defined %}
                        {% if report[horizon][anomalyType]['evolution'] < 0 %}{% set color = 'green' %}{% endif %}
                        {% if report[horizon][anomalyType]['evolution'] > 0 %}{% set color = 'red' %}{% endif %}
                    {% endif %}
                    <td style="vertical-align:bottom;font-weight:300;text-align:right;font-size:18px;color:{{ color }};margin:0;padding:8px 0;">
                        {% if report[horizon][anomalyType] is defined %}
                            {{ report[horizon][anomalyType]['evolution'] | number_format(1, ',', ' ')}}%
                        {% else %}-
                        {% endif %}
                    </td>
                </tr>
            {% endfor %}
        </tbody>
    </table>

    <table border="0" cellpadding="0" cellspacing="0" class="btn btn-primary">
        <tbody>
        <tr>
            <td align="left">
                <table border="0" cellpadding="0" cellspacing="0">
                    <tbody>
                    <tr>
                        <td> <a href="{{ url('monitor.index') }}" target="_blank">
                                {{- "btn.see_on_platform" | trans -}}
                            </a>
                        </td>
                    </tr>
                    </tbody>
                </table>
            </td>
        </tr>
        </tbody>
    </table>

    <p>{{ "text.signature" | trans }}</p>
{% endblock %}
